package com.ruoyi.system.service.md;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.system.domain.md.dto.JbWorkBean;

import java.util.List;

/**
 * @author vidar
 * date 2024/6/5
 * description
 **/
public interface JbTodoService {
    IPage<JbWorkBean> get(Integer pageNum, Integer pageSize, String name, String uid, Integer isdone);

    /**
     * 新增代办
     * @param jbWorkBean
     * @return
     */
    Integer save(JbWorkBean jbWorkBean);

    /**
     * 修改代办状态
     * @param status
     * @param workId
     * @param isChangeAll
     * @param uid
     * @return
     */
    int workUserStatus(Integer status,Integer workId,Integer isChangeAll,String uid);

    void deleteTodo(Integer workId, List<String> uIds);
}
